package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.RecordCertificateManager;
import com.nantian.cloud.jljc.mapper.RecordCertificateManagerMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.RecordCertificateManagerService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 备案管理-证书管理 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-09-03
 */
@Service("recordCertificateManagerService")
public class RecordCertificateManagerServiceImpl extends ServiceImpl<RecordCertificateManagerMapper, RecordCertificateManager> implements RecordCertificateManagerService {

    @Override
    public  List<RecordCertificateManager> getCertificateByPersonId(Long id) {
        return baseMapper.getCertificateByPersonId(id);
    }

    @Override
    public IPage getCertificateByPage(Page page, Long id ) {
        return baseMapper.getCertificateByPage(page,id);
    }

    @Override
    public boolean removeByCertificateId(RecordCertificateManager recordCertificateManager) {
        return baseMapper.removeByCertificateId(recordCertificateManager);
    }

    @Override
    public boolean addCertificate(RecordCertificateManager recordCertificateManager) {
        return baseMapper.addCertificate(recordCertificateManager);
    }

    @Override
    public boolean updateCertificateById(RecordCertificateManager recordCertificateManager) {
        return baseMapper.updateCertificateById(recordCertificateManager);
    }

    @Override
    public boolean removeByPersonId(RecordCertificateManager certificateManager) {
        return baseMapper.removeByPersonId(certificateManager);
    }
}
